#/bin/bash

CC=gcc
CFLAGS=-g -Wall -I/usr/include/mariadb
PROGS=sftpSend


LINK.c=$(CC) $(CFLAGS)

LINKFLAG=-L../../../omcLib/c_program/omcLib -lomcLib \
-L../../../../plat/snmp/lib -lsnmp \
-L../../../../plat/sccp/lib -lsccp \
-L../../../../plat/iptrans/lib -liptrans \
-L../../../../plat/debug/lib -ldebug \
-L../../../../plat/public/lib -lpublic \
-L/usr/lib/mysql -lmariadbclient -lz \
-L/usr/lib -lpthread -lz \

SFTPSEND_OBJ=sftpSend.o sftp.o

default: linuxES

all:
	@echo "make clean    -- Delete the target files"
	@echo "make linuxES  -- Generate target files for Redhat Linux ES"
	
linuxES: $(SFTPSEND_OBJ)
	@$(LINK.c) -o $(PROGS) $(SFTPSEND_OBJ) $(LINKFLAG) -lm
	ar r libsftpSend.a sftpSend.o sftp.o

installbin: linuxES
	cp -f $(PROGS) ../../../../bin/
	cp -f parseResult ../../../../bin/
	cp -f initKeys ../../../../bin/
	cp -f sendfile ../../../../bin/

installomc: linuxES
	cp -f $(PROGS) /usr/local/omc/bin/
	cp -f parseResult /usr/local/omc/bin/
	cp -f initKeys /usr/local/omc/bin/
	cp -f sendfile /usr/local/omc/bin/	

installall: installbin installomc

sftpSend.o: sftpSend.c
	$(LINK.c) -c sftpSend.c

sftp.o: sftp.c
	$(LINK.c) -c sftp.c

clean:
	rm -rf *.o *.a $(PROGS)	
